# Generated by Django 2.0.5 on 2019-01-07 10:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0049_customer_customer_distribution'),
    ]

    operations = [
        migrations.CreateModel(
            name='CircuitInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('cw_site_id', models.IntegerField()),
                ('circuit_type', models.CharField(choices=[('Internet', 'Internet'), ('MPLS', 'MPLS'), ('PRI', 'PRI'), ('SIP', 'SIP'), ('Analog', 'Analog'), ('T1', 'T1'), ('Point to Point', 'Point to Point')], max_length=15)),
                ('provider', models.CharField(max_length=100)),
                ('circuit_id', models.IntegerField()),
                ('contact_phone', models.CharField(blank=True, max_length=17, null=True)),
                ('email', models.EmailField(blank=True, max_length=254, null=True)),
                ('note', models.TextField()),
                ('loa', models.BooleanField(default=False)),
                ('is_deleted', models.BooleanField(default=False)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.Customer')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
